Secspheref(L):={
local O,OO,cr,M,typdes;

O:=L[0];
cr:=L[1];
OO:=L[2];
M:=L[3];
typdes:=L[4];

                        //  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
                        //       % Creation du fichier metapost


Dessin:="
input dlf\_tex.mp;
input geometriesyr16.mp;

u:=1cm;
typetrace:=\""+typdes+"\";
_tfig:=12cm;
beginfig(0);
pair A,B,O,S,M,MM;

numeric rb;
rb:=2;   % rayon

A=(-rb*u,0);
O=(0,0);
B=(rb*u,0);

numeric ang;

ang:=300;  % angle servant a placer M

M:= B rotatedaround(O,ang);
MM:=M yscaled 0.2;


trace arccercle(B,A,O);
trace arccercle(A,B,O);

trace arccercle(B,A,O) yscaled 0.2 dashed evenly;
trace arccercle(A,B,O) yscaled 0.2;

marque_p := \"croix\";
MarquePoint(O);
marque_p := \"rien\";


label.lft(TEX(\" $"+O+"$ \"),O);

pair OO,AA,BB,M,MM;
numeric cr,rr;
cr:="+cr+";    %coefficient servant a placer O'
rr:=rb*sqrt(1-cr*cr);

OO=(0,cr*rb*u);
BB:=(rr*u,0);
AA:=-BB;

M:= BB rotatedaround(O,ang);
MM:=M yscaled 0.2 shifted OO;

trace arccercle(BB,AA,O) yscaled 0.2 shifted OO dashed evenly;
trace arccercle(AA,M,O) yscaled 0.2 shifted OO;
trace arccercle(M,BB,O) yscaled 0.2 shifted OO;

trace polygone(O,OO,MM) dashed evenly;
trace codeperp(O,OO,MM,5);

label.lft(TEX(\" $"+OO+"$ \"),OO);
label.lrt(TEX(\" $"+M+"$ \"),MM);


endfig;
typetrace:=\"normal\";


end
";




}:;

